跳转到主要内容
POST
/
customer
/
v2
/
orders
/
validate
Validate Order
curl --request POST \
  --url https://orbitflare.com/api/customer/v2/orders/validate \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "product_slug": "<string>",
  "billing_period": "monthly",
  "discount_code": "<string>"
}
'
{
  "success": true,
  "message": "<string>",
  "data": {
    "product": {
      "name": "<string>",
      "slug": "<string>"
    },
    "billing_period": "<string>",
    "pricing": {
      "base_price": 123,
      "period_months": 123,
      "period_total": 123,
      "discount_percent": 123,
      "discount_amount": 123,
      "final_price": 123
    },
    "discount": {},
    "user_balance": 123,
    "can_afford": true
  }
}

授权

Authorization
string
header
必填

Bearer token from device or wallet auth

请求体

application/json
product_slug
string
必填

Slug of the RPC plan product.

billing_period
enum<string>
默认值:monthly
可用选项:
monthly,
quarterly,
semi-annual,
annual
discount_code
string | null

Optional coupon code.

响应

Order validated.

success
boolean
示例:

true

message
string
data
object